"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NullLogger = void 0;
const util_1 = require("util");
const events_1 = require("events");
class NullLogger extends events_1.EventEmitter {
    constructor() {
        super(...arguments);
        this.customLevels = {};
        this.level = 'info';
        this.LOG_VERSION = 1;
        this.version = '1.0.0';
        this.levelVal = 30;
        this.levels = { values: {}, labels: {} };
        this.pino = '5.13.1';
        this.useLevelLabels = false;
        this.useOnlyCustomLevels = false;
    }
    bindings() { return {}; }
    child() { return new NullLogger(); }
    flush() { return undefined; }
    isLevelEnabled() { return false; }
    silent() { return undefined; }
    trace() { return undefined; }
    debug() { return undefined; }
    info() { return undefined; }
    warn() { return undefined; }
    error() { return undefined; }
    fatal() { return undefined; }
    addLevel() {
        return false;
    }
    dump(obj, colors = true, depth = null, showHidden = false) {
        return util_1.inspect(obj, { colors, depth, showHidden });
    }
}
exports.NullLogger = NullLogger;
